com.corticon.rulesemf.viewtestmodel.testsheet.treeset

## Interface TreesetFactory

- All Superinterfaces:
    org.eclipse.emf.ecore.EFactory, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

      public interface TreesetFactory
      extends org.eclipse.emf.ecore.EFactory

  The Factory for the model. It provides a create method for each non-abstract class of the model.
  See Also:
    `TreesetPackage`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `copyright`
    `static TreesetFactory` | `eINSTANCE` The singleton instance of the factory

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `MessageItem` | `createMessageItem()` Returns a new object of class 'Message Item'
    `MessageSection` | `createMessageSection()` Returns a new object of class 'Message Section'
    `TestAssociation` | `createTestAssociation()` Returns a new object of class 'Test Association'
    `TestAssociationHref` | `createTestAssociationHref()` Returns a new object of class 'Test Association Href'
    `TestAssociationImbedded` | `createTestAssociationImbedded()` Returns a new object of class 'Test Association Imbedded'
    `TestAttribute` | `createTestAttribute()` Returns a new object of class 'Test Attribute'
    `TestCharacteristic` | `createTestCharacteristic()` Returns a new object of class 'Test Characteristic'
    `TestEntity` | `createTestEntity()` Returns a new object of class 'Test Entity'
    `TestNode` | `createTestNode()` Returns a new object of class 'Test Node'
    `TestTransient` | `createTestTransient()` Returns a new object of class 'Test Transient'
    `TestTreeSet` | `createTestTreeSet()` Returns a new object of class 'Test Tree Set'
    `TreesetPackage` | `getTreesetPackage()` Returns the package supported by this factory

    - ### Methods inherited from interface org.eclipse.emf.ecore.EFactory

      `convertToString, create, createFromString, getEPackage, setEPackage`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

      `getEAnnotation, getEAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Field Detail

    - #### copyright

          static final java.lang.String copyright

      See Also:
        Constant Field Values

    - #### eINSTANCE

          static final TreesetFactory eINSTANCE

      The singleton instance of the factory.

  - ### Method Detail

    - #### createMessageItem

          MessageItem createMessageItem()

      Returns a new object of class 'Message Item'.
      Returns:
        a new object of class 'Message Item'.

    - #### createMessageSection

          MessageSection createMessageSection()

      Returns a new object of class 'Message Section'.
      Returns:
        a new object of class 'Message Section'.

    - #### createTestAssociationHref

          TestAssociationHref createTestAssociationHref()

      Returns a new object of class 'Test Association Href'.
      Returns:
        a new object of class 'Test Association Href'.

    - #### createTestAssociationImbedded

          TestAssociationImbedded createTestAssociationImbedded()

      Returns a new object of class 'Test Association Imbedded'.
      Returns:
        a new object of class 'Test Association Imbedded'.

    - #### createTestAttribute

          TestAttribute createTestAttribute()

      Returns a new object of class 'Test Attribute'.
      Returns:
        a new object of class 'Test Attribute'.

    - #### createTestEntity

          TestEntity createTestEntity()

      Returns a new object of class 'Test Entity'.
      Returns:
        a new object of class 'Test Entity'.

    - #### createTestNode

          TestNode createTestNode()

      Returns a new object of class 'Test Node'.
      Returns:
        a new object of class 'Test Node'.

    - #### createTestTreeSet

          TestTreeSet createTestTreeSet()

      Returns a new object of class 'Test Tree Set'.
      Returns:
        a new object of class 'Test Tree Set'.

    - #### createTestTransient

          TestTransient createTestTransient()

      Returns a new object of class 'Test Transient'.
      Returns:
        a new object of class 'Test Transient'.

    - #### createTestCharacteristic

          TestCharacteristic createTestCharacteristic()

      Returns a new object of class 'Test Characteristic'.
      Returns:
        a new object of class 'Test Characteristic'.

    - #### createTestAssociation

          TestAssociation createTestAssociation()

      Returns a new object of class 'Test Association'.
      Returns:
        a new object of class 'Test Association'.

    - #### getTreesetPackage

          TreesetPackage getTreesetPackage()

      Returns the package supported by this factory.
      Returns:
        the package supported by this factory.

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.